# PetscMatlabEnginePut

Puts a Petsc object into the Matlab space. For parallel objects, each processors part is put in a separate Matlab process.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscMatlabEnginePut(PetscMatlabEngine mengine,PetscObject obj)

Collective on PetscObject

### Input Parameters

| mengine | - the Matlab engine
| object | - the PETSc object, for example Vec

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEngineCreate(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), MatlabEngineGetArray(), PetscMatlabEngine

Level:advanced
Location: src/sys/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html